Bug 397121 - email attachment thumbnails not rebuilt
email attachment thumbnails not rebuilt
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-23 12:56 EST by Tim Waugh
Modified: 2008-11-29 01:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-29 01:14:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
hail1small.jpg (212.98 KB, image/jpeg)
2007-11-23 12:56 EST, Tim Waugh
no flags Details
screenshot.png (76.39 KB, image/png)
2007-11-23 12:57 EST, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2007-11-23 12:56:41 EST
Description of problem:
When attaching a JPG file with a corrupted or incorrect EXIF thumbnail,
evolution does not create a new thumbnail but uses the corrupted one.

Version-Release number of selected component (if applicable):
evolution-2.12.1-3.fc8

How reproducible:
100%

Steps to Reproduce:
1.Compose a new email and attach this image (hail1small.jpg) to it.
2.Although nautilus displays the original image thumbnail correctly, it appears
corrupted in the evolution mail window.
  
Actual results:
See screenshot.

Expected results:


Additional info:
Comment 1 Tim Waugh 2007-11-23 12:56:41 EST
Created attachment 267731 [details]
hail1small.jpg
Comment 2 Tim Waugh 2007-11-23 12:57:06 EST
Created attachment 267741 [details]
screenshot.png
Comment 3 Milan Crha 2007-11-23 16:13:08 EST
Probably because of using deprecated gnome_icon_list, because data passed to
that function are same (with compare to preview of message with same attachment
(saved as draft), where the icon, even a bit smaller, looks very good). I
checked that the underlying pixbuf has always 48x37 pixels, so it is probably
because of the list or something related with it.
Comment 4 Matthew Barnes 2008-02-18 10:10:47 EST
I'm beginning to work on migrating attachment thumbnails from GnomeIconList to
GtkIconView.  I'll be sure to include this in my test cases.
Comment 5 Bug Zapper 2008-11-26 03:40:05 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matthew Barnes 2008-11-29 01:14:12 EST
Retested on Fedora 10, and neither Nautilus nor Evolution show a thumbnail of the image in comment #1.  Closing as CANTFIX since there doesn't seem to be any action to take on this.  Reopen if you encounter the problem again.

Note You need to log in before you can comment on or make changes to this bug.